## python-parsel 1.0.3

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/parsel.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/parsel.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/parsel"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/parsel"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
python-parsel (1.0.3-2) unstable; urgency=low

  * Team upload.
  * Initialize git-dpm.
  * Add Vcs-* fields.
  * Clean files in .eggs/ and parsel.egg-info/ to allow two builds in a
    row.

 -- Michael Fladischer <fladi@debian.org>  Wed, 25 Jan 2017 09:18:45 +0100

python-parsel (1.0.3-1) unstable; urgency=medium

  * Initial release. (Closes: #832448)

 -- Ignace Mouzannar <mouzannar@gmail.com>  Fri, 29 Jul 2016 13:50:01 -0400

=== debian/control ===
Source: python-parsel
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Ignace Mouzannar <mouzannar@gmail.com>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python-all (>= 2.7),
 python-setuptools,
 python3-all,
 python3-setuptools,
 python-cssselect (>= 0.9),
 python3-cssselect (>= 0.9),
 python-six,
 python3-six,
 python-lxml,
 python3-lxml,
 python-w3lib (>=1.8.0),
 python3-w3lib (>=1.8.0),
 python-pytest-runner,
 python3-pytest-runner,
 python-pytest,
 python3-pytest
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.3
Standards-Version: 3.9.8
Homepage: https://github.com/scrapy/parsel
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-parsel.git
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-parsel.git

Package: python-parsel
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Python 2 library to extract HTML/XML data using XPath/CSS selectors
 Parsel is a Python library to extract data from HTML and XML using XPath and
 CSS selectors
 .
 This module is used to, for example:
  - Extract text using CSS or XPath selectors
  - Regular expression helper methods
 .
 This is the Python 2 version of the package.

Package: python3-parsel
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Python 3 library to extract HTML/XML data using XPath/CSS selectors
 Parsel is a Python library to extract data from HTML and XML using XPath and
 CSS selectors
 .
 This module is used to, for example:
  - Extract text using CSS or XPath selectors
  - Regular expression helper methods
 .
 This is the Python 3 version of the package.

## python-parsel 1.1.0

=== requirements.txt ===
lxml==3.4.4
six==1.9.0
cssselect==0.9.1
w3lib==1.11.0

=== debian/changelog ===
python-parsel (1.1.0-1~exp1) experimental; urgency=low

  * Team upload.
  * New upstream release.
  * Remove version requirement from python-all for Build-Depends.
  * Remove version requirement from python3-cssselect for Build-Depends.
  * Use https:// for copyright-format 1.0 URL.

 -- Michael Fladischer <fladi@debian.org>  Wed, 25 Jan 2017 09:40:55 +0100

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
 Build-Depends:
  debhelper (>= 9),
  dh-python,
- python-all (>= 2.7),
+ python-all,
  python-setuptools,
  python3-all,
  python3-setuptools,
  python-cssselect (>= 0.9),
- python3-cssselect (>= 0.9),
+ python3-cssselect,
  python-six,
  python3-six,
  python-lxml,

## python-parsel 1.2.0

=== debian/changelog ===
python-parsel (1.2.0-1) unstable; urgency=low

  * Team upload.
  * Upload to unstable.
  * Reformat packaging files with cme for better readability.
  * Bump Standards-Version to 4.0.0.

 -- Michael Fladischer <fladi@debian.org>  Tue, 20 Jun 2017 10:33:43 +0200

python-parsel (1.2.0-1~exp1) experimental; urgency=low

  * Team upload.
  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Mon, 29 May 2017 09:38:08 +0200

=== debian/control ===
Source: python-parsel
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Ignace Mouzannar <mouzannar@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-cssselect (>= 0.9),
               python-lxml,
               python-pytest,
               python-pytest-runner,
               python-setuptools,
               python-six,
               python-w3lib (>= 1.8.0),
               python3-all,
               python3-cssselect,
               python3-lxml,
               python3-pytest,
               python3-pytest-runner,
               python3-setuptools,
               python3-six,
               python3-w3lib (>= 1.8.0)
Standards-Version: 4.0.0
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-parsel.git
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-parsel.git
Homepage: https://github.com/scrapy/parsel
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.3

Package: python-parsel
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends}
Description: Python 2 library to extract HTML/XML data using XPath/CSS selectors
 Parsel is a Python library to extract data from HTML and XML using XPath and
 CSS selectors
 .
 This module is used to, for example:
  - Extract text using CSS or XPath selectors
  - Regular expression helper methods
 .
 This is the Python 2 version of the package.

Package: python3-parsel
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Python 3 library to extract HTML/XML data using XPath/CSS selectors
 Parsel is a Python library to extract data from HTML and XML using XPath and
 CSS selectors
 .
 This module is used to, for example:
  - Extract text using CSS or XPath selectors
  - Regular expression helper methods
 .
 This is the Python 3 version of the package.

## python-parsel 1.4.0

=== docs/Makefile ===
--- 
+++ 
@@ -2,6 +2,7 @@
 #
 
 # You can set these variables from the command line.
+PYTHON        = python
 SPHINXOPTS    =
 SPHINXBUILD   = sphinx-build
 PAPER         =
@@ -45,6 +46,7 @@
 	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
 	@echo "  linkcheck  to check all external links for integrity"
 	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
+	@echo "  htmlview   to view the compiled HTML files in browser"
 
 clean:
 	rm -rf $(BUILDDIR)/*
@@ -175,3 +177,7 @@
 	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
 	@echo
 	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."
+
+htmlview: html
+	 $(PYTHON) -c "import webbrowser, os; webbrowser.open('file://' + \
+	 os.path.realpath('_build/html/index.html'))"

=== debian/changelog ===
python-parsel (1.4.0-1) unstable; urgency=low

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Michael Fladischer ]
  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Fri, 16 Feb 2018 10:17:23 +0100

python-parsel (1.3.1-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Always use pristine-tar.
  * Bump debhelper compatibility and version to 11.
  * Bump Standards-Version to 4.1.3.
  * Run wrap-and-sort -bast to reduce diff size of future changes.
  * Enable autopkgtest-pkg-python testsuite.

 -- Michael Fladischer <fladi@debian.org>  Tue, 09 Jan 2018 08:48:35 +0100

=== debian/control ===
Source: python-parsel
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Ignace Mouzannar <mouzannar@gmail.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper (>= 11),
 dh-python,
 python-all,
 python-cssselect (>= 0.9),
 python-lxml,
 python-pytest,
 python-pytest-runner,
 python-setuptools,
 python-six,
 python-w3lib (>= 1.8.0),
 python3-all,
 python3-cssselect,
 python3-lxml,
 python3-pytest,
 python3-pytest-runner,
 python3-setuptools,
 python3-six,
 python3-w3lib (>= 1.8.0),
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-parsel
Vcs-Git: https://salsa.debian.org/python-team/modules/python-parsel.git
Homepage: https://github.com/scrapy/parsel
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.3
Testsuite: autopkgtest-pkg-python

Package: python-parsel
Architecture: all
Depends:
 ${misc:Depends},
 ${python:Depends},
Description: Python 2 library to extract HTML/XML data using XPath/CSS selectors
 Parsel is a Python library to extract data from HTML and XML using XPath and
 CSS selectors
 .
 This module is used to, for example:
  - Extract text using CSS or XPath selectors
  - Regular expression helper methods
 .
 This is the Python 2 version of the package.

Package: python3-parsel
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Python 3 library to extract HTML/XML data using XPath/CSS selectors
 Parsel is a Python library to extract data from HTML and XML using XPath and
 CSS selectors
 .
 This module is used to, for example:
  - Extract text using CSS or XPath selectors
  - Regular expression helper methods
 .
 This is the Python 3 version of the package.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=parsel

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

=== debian/watch ===
version=3
https://github.com/scrapy/parsel/releases .*/v?(\d\S*)\.tar\.gz

## python-parsel 1.5.0

=== debian/changelog ===
python-parsel (1.5.0-3) unstable; urgency=medium

  * Drop Python 2 support.
  * Add myself to Uploaders.
  * Bump the debhelper compat level to 12.
  * Bump Standards-Version to 4.4.0.

 -- Andrey Rahmatullin <wrar@debian.org>  Fri, 02 Aug 2019 23:35:23 +0500

python-parsel (1.5.0-2) unstable; urgency=medium

  * Team upload.

  [ nyov ]
  * Add python-functools32 to python2 Depends
    as it isn't found by ${python:Depends}.  Closes: #904151
  * Install actual changelog file
    (which should become NEWS according to policy 4.2.0).

  [ Mattia Rizzolo ]
  * Bump Standards-Version to 4.2.1.
    + Set Rules-Requires-Root:no.
  * Use the new debhelper-compat(=11) notation and drop d/compat.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 02 Oct 2018 16:16:24 +0200

python-parsel (1.5.0-1) unstable; urgency=low

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

  [ Michael Fladischer ]
  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.1.5.
  * Add python-functools32 to Build-Depends to satisfy test
    requirements.
  * Clean up .pytest_cache/v/cache/nodeids during builds.

 -- Michael Fladischer <fladi@debian.org>  Wed, 18 Jul 2018 23:14:46 +0200

=== debian/control ===
Source: python-parsel
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Ignace Mouzannar <mouzannar@gmail.com>,
 Andrey Rahmatullin <wrar@debian.org>
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-cssselect,
 python3-lxml,
 python3-pytest,
 python3-pytest-runner,
 python3-setuptools,
 python3-six,
 python3-w3lib (>= 1.8.0),
Standards-Version: 4.4.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-parsel
Vcs-Git: https://salsa.debian.org/python-team/modules/python-parsel.git
Homepage: https://github.com/scrapy/parsel
Testsuite: autopkgtest-pkg-python

Package: python3-parsel
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Python 3 library to extract HTML/XML data using XPath/CSS selectors
 Parsel is a Python library to extract data from HTML and XML using XPath and
 CSS selectors
 .
 This module is used to, for example:
  - Extract text using CSS or XPath selectors
  - Regular expression helper methods
 .
 This is the Python 3 version of the package.

## python-parsel 1.5.2

=== Makefile ===
.PHONY: clean-pyc clean-build docs clean

help:
	@echo "clean - remove all build, test, coverage and Python artifacts"
	@echo "clean-build - remove build artifacts"
	@echo "clean-pyc - remove Python file artifacts"
	@echo "clean-test - remove test and coverage artifacts"
	@echo "lint - check style with flake8"
	@echo "test - run tests quickly with the default Python"
	@echo "test-all - run tests on every Python version with tox"
	@echo "coverage - check code coverage quickly with the default Python"
	@echo "docs - generate Sphinx HTML documentation, including API docs"
	@echo "release - package and upload a release"
	@echo "dist - package"
	@echo "install - install the package to the active Python's site-packages"

clean: clean-build clean-pyc clean-test

clean-build:
	rm -fr build/
	rm -fr dist/
	rm -fr .eggs/
	find . -name '*.egg-info' -exec rm -fr {} +
	find . -name '*.egg' -exec rm -f {} +

clean-pyc:
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +
	find . -name '__pycache__' -exec rm -fr {} +

clean-test:
	rm -fr .tox/
	rm -f .coverage
	rm -fr htmlcov/

lint:
	flake8 parsel tests

test:
	nosetests --with-doctest --rednose -s -v

test-all:
	tox

coverage:
	coverage run --source parsel setup.py test
	coverage report -m
	coverage html
	python -m webbrowser htmlcov/index.html

docs:
	( python -c 'import sphinx_rtd_theme' 2>/dev/null || pip install sphinx_rtd_theme )
	rm -f docs/parsel.rst
	rm -f docs/modules.rst
	sphinx-apidoc -o docs/ parsel
	$(MAKE) -C docs clean
	$(MAKE) -C docs html
	python -m webbrowser docs/_build/html/index.html

servedocs: docs
	watchmedo shell-command -p '*.rst' -c '$(MAKE) -C docs html' -R -D docs/

release: clean
	python setup.py sdist upload
	python setup.py bdist_wheel upload

dist: clean
	python setup.py sdist
	python setup.py bdist_wheel
	ls -l dist

install: clean
	python setup.py install

=== debian/changelog ===
python-parsel (1.5.2-1) unstable; urgency=medium

  * New upstream version.
  * Update the minimum python3-w3lib version to 1.19.0.
  * Add Depends: python3-lxml explicitly.

 -- Andrey Rahmatullin <wrar@debian.org>  Sat, 10 Aug 2019 21:11:30 +0500

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  python3-pytest-runner,
  python3-setuptools,
  python3-six,
- python3-w3lib (>= 1.8.0),
+ python3-w3lib (>= 1.19.0),
 Standards-Version: 4.4.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-parsel
@@ -28,6 +28,7 @@
 Depends:
  ${misc:Depends},
  ${python3:Depends},
+ python3-lxml
 Description: Python 3 library to extract HTML/XML data using XPath/CSS selectors
  Parsel is a Python library to extract data from HTML and XML using XPath and
  CSS selectors

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=parsel

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs NEWS

## python-parsel 1.6.0%2Bdfsg

=== tests/requirements.txt ===
pytest
pytest-cov
sybil

## python-parsel 1.6.0+dfsg

=== docs/requirements.txt ===
sphinx
sphinx-notfound-page
sphinx_rtd_theme

=== debian/changelog ===
python-parsel (1.6.0+dfsg-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Andrey Rahmatullin ]
  * Bump Standards-Version to 4.6.0.
  * Also run docs tests at the build and autopkgtest time, add python3-sybil
    to build and autopkgtest deps.
  * Annotate B-D with the !nocheck build profile.

 -- Andrey Rahmatullin <wrar@debian.org>  Tue, 24 Aug 2021 23:26:05 +0500

python-parsel (1.6.0+dfsg-2) unstable; urgency=medium

  * Add autopkgtests.

 -- Andrey Rahmatullin <wrar@debian.org>  Sun, 09 Aug 2020 13:04:55 +0500

python-parsel (1.6.0+dfsg-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.5.0, no changes needed.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Andrey Rahmatullin ]
  * New upstream version.
  * Bump the debhelper compat level to 13.
  * Move enabling the python3 addon from rules to B-D.
  * Repack the orig tarball to remove static pages only used in documentation
    tests.
  * Remove explicit Depends: python3-lxml.

 -- Andrey Rahmatullin <wrar@debian.org>  Sun, 19 Jul 2020 22:27:33 +0500

=== debian/control ===
Source: python-parsel
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Ignace Mouzannar <mouzannar@gmail.com>,
 Andrey Rahmatullin <wrar@debian.org>
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-cssselect <!nocheck>,
 python3-lxml <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-runner,
 python3-setuptools,
 python3-six,
 python3-sybil <!nocheck>,
 python3-w3lib (>= 1.19.0) <!nocheck>,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-parsel
Vcs-Git: https://salsa.debian.org/python-team/packages/python-parsel.git
Homepage: https://github.com/scrapy/parsel
Testsuite: autopkgtest-pkg-python

Package: python3-parsel
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Python 3 library to extract HTML/XML data using XPath/CSS selectors
 Parsel is a Python library to extract data from HTML and XML using XPath and
 CSS selectors
 .
 This module is used to, for example:
  - Extract text using CSS or XPath selectors
  - Regular expression helper methods
 .
 This is the Python 3 version of the package.

=== debian/tests/control ===
Tests: unittests
Depends:
 python3-parsel,
 python3-all,
 python3-pytest,
 python3-sybil,

=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg\d*$// ,repacksuffix=+dfsg" \
https://github.com/scrapy/parsel/releases .*/v?(\d\S*)\.tar\.gz

## python-parsel 1.7.0+dfsg

=== tests/requirements.txt ===
psutil==5.6.3  # https://github.com/giampaolo/psutil/issues/1659#issuecomment-586032229
pytest
pytest-cov
sybil

=== debian/changelog ===
python-parsel (1.7.0+dfsg-1) unstable; urgency=medium

  * New upstream version.
  * Update d/watch.
  * Bump Standards-Version to 4.6.1.
  * Drop B-D: python3-six.
  * Add python3-psutil to B-D and autopkgtest deps.
  * Add python3-pkg-resources to Depends.
  * Use py3versions -s instead of py3versions -r in the autopkgtest.

 -- Andrey Rahmatullin <wrar@debian.org>  Tue, 01 Nov 2022 21:21:00 +0500

python-parsel (1.6.0+dfsg-5) unstable; urgency=medium

  * Reupload without binaries.

 -- Andrey Rahmatullin <wrar@debian.org>  Sun, 03 Apr 2022 12:33:55 +0500

python-parsel (1.6.0+dfsg-4) unstable; urgency=medium

  * Add support for python3-sybil >= 3.0.

 -- Andrey Rahmatullin <wrar@debian.org>  Sat, 02 Apr 2022 20:29:01 +0500

=== debian/control ===
--- 
+++ 
@@ -11,13 +11,13 @@
  python3-all,
  python3-cssselect <!nocheck>,
  python3-lxml <!nocheck>,
+ python3-psutil <!nocheck>,
  python3-pytest <!nocheck>,
  python3-pytest-runner,
  python3-setuptools,
- python3-six,
  python3-sybil <!nocheck>,
  python3-w3lib (>= 1.19.0) <!nocheck>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-parsel
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-parsel.git
@@ -29,6 +29,7 @@
 Depends:
  ${misc:Depends},
  ${python3:Depends},
+ python3-pkg-resources,
 Description: Python 3 library to extract HTML/XML data using XPath/CSS selectors
  Parsel is a Python library to extract data from HTML and XML using XPath and
  CSS selectors

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=parsel
export PYBUILD_TEST_ARGS=tests docs

%:
	dh $@ --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs NEWS

=== debian/tests/control ===
Tests: unittests
Depends:
 python3-parsel,
 python3-all,
 python3-psutil,
 python3-pytest,
 python3-sybil,

## python-parsel 1.8.1+dfsg

=== debian/changelog ===
python-parsel (1.8.1+dfsg-1) unstable; urgency=medium

  * Upload to unstable.

 -- Andrey Rakhmatullin <wrar@debian.org>  Thu, 15 Jun 2023 21:45:33 +0400

python-parsel (1.8.1+dfsg-1~exp1) experimental; urgency=medium

  * Upload to experimental.
  * New upstream version.
  * Add python3-jmespath to B-D and autopkgtest deps.
  * Bump Standards-Version to 4.6.2.

 -- Andrey Rakhmatullin <wrar@debian.org>  Wed, 24 May 2023 22:50:13 +0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Ignace Mouzannar <mouzannar@gmail.com>,
- Andrey Rahmatullin <wrar@debian.org>
+ Andrey Rakhmatullin <wrar@debian.org>
 Section: python
 Priority: optional
 Build-Depends:
@@ -10,6 +10,7 @@
  dh-sequence-python3,
  python3-all,
  python3-cssselect <!nocheck>,
+ python3-jmespath <!nocheck>,
  python3-lxml <!nocheck>,
  python3-psutil <!nocheck>,
  python3-pytest <!nocheck>,
@@ -17,7 +18,7 @@
  python3-setuptools,
  python3-sybil <!nocheck>,
  python3-w3lib (>= 1.19.0) <!nocheck>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-parsel
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-parsel.git

=== debian/tests/control ===
Tests: unittests
Depends:
 python3-parsel,
 python3-all,
 python3-jmespath,
 python3-psutil,
 python3-pytest,
 python3-sybil,

## python-parsel 1.9.1+dfsg

=== debian/changelog ===
python-parsel (1.9.1+dfsg-2) unstable; urgency=medium

  * Fix B-D for the nodoc profile.
  * Use local intersphinx files.

 -- Andrey Rakhmatullin <wrar@debian.org>  Mon, 22 Apr 2024 00:00:15 +0500

python-parsel (1.9.1+dfsg-1) unstable; urgency=medium

  * New upstream version.
  * Drop B-D: python3-pytest-runner.
  * Drop Depends: python3-pkg-resources.

 -- Andrey Rakhmatullin <wrar@debian.org>  Tue, 09 Apr 2024 00:45:38 +0500

python-parsel (1.9.0+dfsg-2) unstable; urgency=medium

  * Switch to autopkgtest-pkg-pybuild.
  * Add the python-parsel-doc subpackage.

 -- Andrey Rakhmatullin <wrar@debian.org>  Thu, 04 Apr 2024 01:12:06 +0500

python-parsel (1.9.0+dfsg-1) unstable; urgency=medium

  * New upstream version.
  * Drop the obsolete version restriction on the python-w3lib B-D.

 -- Andrey Rakhmatullin <wrar@debian.org>  Thu, 14 Mar 2024 16:11:47 +0500

=== debian/control ===
Source: python-parsel
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Ignace Mouzannar <mouzannar@gmail.com>,
 Andrey Rakhmatullin <wrar@debian.org>
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc <!nodoc>,
 python-cssselect-doc <!nodoc>,
 python-lxml-doc <!nodoc>,
 python-requests-doc <!nodoc>,
 python3-all,
 python3-cssselect <!nocheck> <!nodoc>,
 python3-doc <!nodoc>,
 python3-jmespath <!nocheck> <!nodoc>,
 python3-lxml <!nocheck> <!nodoc>,
 python3-psutil <!nocheck>,
 python3-pytest <!nocheck>,
 python3-setuptools,
 python3-sphinx <!nodoc>,
 python3-sphinx-notfound-page <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>,
 python3-sybil <!nocheck>,
 python3-w3lib <!nocheck> <!nodoc>,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-parsel
Vcs-Git: https://salsa.debian.org/python-team/packages/python-parsel.git
Homepage: https://github.com/scrapy/parsel
Testsuite: autopkgtest-pkg-pybuild

Package: python3-parsel
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Python 3 library to extract HTML/XML data using XPath/CSS selectors
 Parsel is a Python library to extract data from HTML and XML using XPath and
 CSS selectors
 .
 This module is used to, for example:
  - Extract text using CSS or XPath selectors
  - Regular expression helper methods
 .
 This is the Python 3 version of the package.

Package: python-parsel-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Built-Using: ${sphinxdoc:Built-Using}
Suggests: python3-parsel
Description: Python 3 library to extract HTML/XML data (documentation)
 Parsel is a Python library to extract data from HTML and XML using XPath and
 CSS selectors
 .
 This module is used to, for example:
  - Extract text using CSS or XPath selectors
  - Regular expression helper methods
 .
 This package contains the documentation.

## python-parsel 1.10.0+dfsg

=== debian/changelog ===
python-parsel (1.10.0+dfsg-1) unstable; urgency=medium

  * New upstream version.
  * Drop Rules-Requires-Root.
  * Bump Standards-Version to 4.7.0.

 -- Andrey Rakhmatullin <wrar@debian.org>  Fri, 17 Jan 2025 22:43:13 +0500

=== debian/control ===
--- 
+++ 
@@ -25,8 +25,7 @@
  python3-sphinx-rtd-theme <!nodoc>,
  python3-sybil <!nocheck>,
  python3-w3lib <!nocheck> <!nodoc>,
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-parsel
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-parsel.git
 Homepage: https://github.com/scrapy/parsel

=== debian/rules ===
--- 
+++ 
@@ -6,5 +6,11 @@
 %:
 	dh $@ --buildsystem=pybuild
 
+override_dh_sphinxdoc:
+ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
+	PYTHONPATH=. python3 -m sphinx -b html -N docs/ $(CURDIR)/debian/python-parsel-doc/usr/share/doc/python-parsel-doc/html
+	dh_sphinxdoc
+endif
+
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS

=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg\d*$// ,repacksuffix=+dfsg" \
https://github.com/scrapy/parsel/tags .*/v?(\d\S*)\.tar\.gz

## python-parsel 1.11.0+dfsg

=== tests/requirements.txt ===
psutil==5.6.3  # https://github.com/giampaolo/psutil/issues/1659#issuecomment-586032229
pytest
pytest-cov>=7.0.0
sybil

=== debian/changelog ===
python-parsel (1.11.0+dfsg-1) unstable; urgency=medium

  [ Alexandre Detiste ]
  * Add Multi-Arch: foreign to python-parsel-doc.

  [ Andrey Rakhmatullin ]
  * New upstream version.
  * Restore d/watch to properly handle +dfsg.
  * Bump Standards-Version to 4.7.3.

 -- Andrey Rakhmatullin <wrar@debian.org>  Fri, 30 Jan 2026 22:43:35 +0500

python-parsel (1.10.0+dfsg-2) unstable; urgency=medium

  * Fix test failures with libxml2-16 >= 2.15.0 (Closes: #1120201).
  * Migrate to pybuild-plugin-pyproject.
  * Drop the Priority field.
  * Drop d/watch in favor of d/upstream/metadata.
  * Bump Standards-Version to 4.7.2.

 -- Andrey Rakhmatullin <wrar@debian.org>  Thu, 06 Nov 2025 21:41:51 +0500

=== debian/control ===
--- 
+++ 
@@ -4,28 +4,28 @@
  Ignace Mouzannar <mouzannar@gmail.com>,
  Andrey Rakhmatullin <wrar@debian.org>
 Section: python
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
  dh-sequence-sphinxdoc <!nodoc>,
+ pybuild-plugin-pyproject,
  python-cssselect-doc <!nodoc>,
  python-lxml-doc <!nodoc>,
  python-requests-doc <!nodoc>,
  python3-all,
  python3-cssselect <!nocheck> <!nodoc>,
  python3-doc <!nodoc>,
+ python3-hatchling,
  python3-jmespath <!nocheck> <!nodoc>,
  python3-lxml <!nocheck> <!nodoc>,
  python3-psutil <!nocheck>,
  python3-pytest <!nocheck>,
- python3-setuptools,
  python3-sphinx <!nodoc>,
  python3-sphinx-notfound-page <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
  python3-sybil <!nocheck>,
  python3-w3lib <!nocheck> <!nodoc>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-parsel
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-parsel.git
 Homepage: https://github.com/scrapy/parsel
@@ -49,6 +49,7 @@
 Package: python-parsel-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends},
 Built-Using: ${sphinxdoc:Built-Using}
